%global maj 0

Name:       jalv
Version:    1.4.6
Release:    6%{?dist}
Summary:    An LV2 Resource Description Framework Library

Group:      Applications/Multimedia
License:    MIT
URL:        http://drobilla.net/software/jalv/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2

BuildRequires:  python
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  lilv-devel >= 0.19.2
BuildRequires:  suil-devel >= 0.6.0
BuildRequires:  serd-devel >= 0.14.0
BuildRequires:  sord-devel >= 0.12.0 
BuildRequires:  lv2-devel >= 1.3.0
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  qt-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  gtkmm24-devel

%description
%{name} is a simple but fully featured LV2 host for Jack. It runs LV2 plugins 
and exposes their ports as Jack ports, essentially making any LV2 plugin 
function as a Jack application. 

%package qt
Group:      Applications/Multimedia  
Summary:    QT implementation of %{name}
Requires:   %{name}%{_isa} = %{version}-%{release}

%description qt
%{name}-qt is an LV2 host for QT LV2 plugins

%package gtk
Group:      Applications/Multimedia  
Summary:    GTK implementation of %{name}
Requires:   %{name}%{_isa} = %{version}-%{release}

%description gtk
%{name}-gtk is an LV2 host for GTK LV2 plugins

%package gtkmm
Group:      Applications/Multimedia  
Summary:    gtkmm implementation of %{name}
Requires:   %{name}%{_isa} = %{version}-%{release}

%description gtkmm
%{name}-gtkmm is an LV2 host for gtkmm LV2 plugins


%prep
%setup -q 

# we'll run ld config
sed -i -e 's|bld.add_post_fun(autowaf.run_ldconfig)||' \
    -e "s|'moc'|'moc-qt4',var='MOC'|g" wscript

%build
export CFLAGS="%{optflags} -I%{_libdir}/qt3.3/include" CXXFLAGS="%{optflags} -I%{_libdir}/qt3.3/include"
export QTDIR=%{_qt3_prefix}
./waf configure -v\
 --prefix=%{_prefix} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir} \
 --datadir=%{_datadir} \
 --configdir=%{_sysconfdir} \
 --docs 
./waf build -v %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf install

%files
%doc AUTHORS NEWS README COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files qt
%{_bindir}/%{name}.qt
%{_mandir}/man1/%{name}.qt.1.*

%files gtk
%{_bindir}/%{name}.gtk*
%{_mandir}/man1/%{name}.gtk.1.*

%files gtkmm
%{_bindir}/%{name}.gtkmm
%{_mandir}/man1/%{name}.gtkmm.1.*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4.6-4
- Rebuilt for GCC 5 C++11 ABI change

* Sun Oct 26 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.4.6-3
- Rebuild for new lv2

* Fri Sep 26 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.4.6-2
- Find correct moc version

* Wed Aug 20 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.4.6-1
- Update to 1.4.6

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 11 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.4.4-1
- Update to 1.4.4

* Sun Aug 25 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.4.2-1
- Update to 1.4.2

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 21 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.4.0-2
- Rebuilt for new LV2 

* Tue May 21 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.4.0-1
- New upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Dec 15 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.2.0-1
- New upstream release

* Wed Sep 26 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-5
- Split into framework sub-packages
- Correct package group

* Wed Sep 26 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-4
- Correct inclusion of missing binaries BZ: 860458

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 22 2012 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.0-2
- Add missing build requires

* Fri Apr 20 2012 Brendan Jones <brendan.jones.it@gmail.com> - 1.0.0-1
- Initial build
